Bug 123892 - Duplicated entries in Get_Export_Formats_Resp
Summary: Duplicated entries in Get_Export_Formats_Resp
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice Online
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Andras Timar
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-06 10:05 UTC by Aleksander Machniak
Modified: 2020-02-11 08:23 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksander Machniak 2019-03-06 10:05:28 UTC
After upgrade to 4.0.1-1 I see:

{"MessageId":"Get_Export_Formats_Resp","SendTime":1551866212880,"Values":[
   {"Label":"PDF Document (.pdf)","Format":"pdf"},
   {"Label":"ODF text document (.odt)","Format":"odt"},
   {"Label":"Word 2003 Document (.doc)","Format":"doc"},
   {"Label":"Word Document (.docx)","Format":"docx"},
   {"Label":"Rich Text (.rtf)","Format":"rtf"},
   {"Label":"PDF Document (.pdf)","Format":"pdf"},
   {"Label":"ODF text document (.odt)","Format":"odt"},
   {"Label":"Word 2003 Document (.doc)","Format":"doc"},
   {"Label":"Word Document (.docx)","Format":"docx"},
   {"Label":"Rich Text (.rtf)","Format":"rtf"}
]}

As you can see the list contains all entries duplicated.
Comment 1 alicetaylor 2019-03-07 06:33:26 UTC Comment hidden (spam)
Comment 2 Commit Notification 2020-02-11 08:12:00 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/online/commit/36eed0c6f07cef512ec83fb8c22d2c6200e7ce5c

tdf#123892 deduplicate entries in Get_Export_Formats_Resp